mia-2dmyoperiodic-nonrigid
Prev | Registration of series of 2D images | Next

### mia-2dmyoperiodic-nonrigid

#### Sysnopis:

`mia-2dmyoperiodic-nonrigid` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program runs the non-rigid registration of an perfusion image series preferable acquired letting the patient breath freely. The registration algorithm implementes

G. Wollny, M-J Ledesma-Cabryo, P.Kellman, and A.Santos, "Exploiting Quasiperiodicity in Motion Correction of Free-Breathing," IEEE Transactions on Medical Imaging, 29(8), 2010.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

-r, --registered=reg; stringSTRING

  file name base for registered fiels

--save-references

  Save synthetic references to files refXXXX.v

#### Preconditions

-k, --skip=0; ulong

  Skip images at the begin of the series

--max-candidates=20; ulong

  maximum number of candidates for global reference image

-S, --cost-series=image:cost=[ngf:eval=ds]; factory

  Const function to use for the analysis of the series. For supported plug-ins see Plugin type: 2dimage/fullcost

--ref-idx=STRING

  save reference index number to this file

-R, --global-reference=-1; int

  save reference index number to this file

-D, --max-subset-delta=0; ulong

  Maximum delta between two elements of the prealigned subset

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.01; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

--refiner=

  optimizer used for additional minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-l, --mr-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline:rate=16,penalty=[divcurl:weight=0.01]; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

-1, --cost-subset=image:cost=[ngf:eval=ds]; factory

  Cost function for registration during the subset registration. For supported plug-ins see Plugin type: 2dimage/fullcost

-2, --cost-final=image:cost=ssd; factory

  Cost function for registration during the final registration. For supported plug-ins see Plugin type: 2dimage/fullcost

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the perfusion series given in 'segment.set'. Skip two images at the beginning, usa spline transformation of a knot rate 16 pixels, and penalize the transformation by divcurl with weight 5. Store the result in 'registered.set'.

    mia-2dmyoperiodic-nonrigid   -i segment.set -o registered.set -k 2 -d 5 -f spline:rate=16,penalty=[divcurl:weight=5]

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyomilles | Home | mia-2dmyopgt-nonrigid